### Constructor

# Gtk PrintJob new

#### Declaration [src]

    GtkPrintJob*
    gtk_print_job_new (
      const char* title,
      GtkPrinter* printer,
      GtkPrintSettings* settings,
      GtkPageSetup* page_setup
    )

#### Description [src]

Creates a new `GtkPrintJob`.

#### Parameters

`title` | `const char*`
| The job title.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`printer` | `GtkPrinter`
| A `GtkPrinter`.
| The data is owned by the caller of the function.
`settings` | `GtkPrintSettings`
| A `GtkPrintSettings`.
| The data is owned by the caller of the function.
`page_setup` | `GtkPageSetup`
| A `GtkPageSetup`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkPrintJob`
| A new `GtkPrintJob`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.